import {
  __export,
  __objRest,
  __publicField,
  __restKey,
  __spreadProps,
  __spreadValues
} from "./chunk-DMB7W73U.js";

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/index.js
var docs_exports = {};
__export(docs_exports, {
  AnalyticsConfig: () => AnalyticsConfig,
  AnnouncementConfig: () => AnnouncementConfig,
  ApiReferenceConfiguration: () => ApiReferenceConfiguration,
  ApiReferenceEndpointConfiguration: () => ApiReferenceEndpointConfiguration,
  ApiReferenceLayoutItem: () => ApiReferenceLayoutItem,
  ApiReferencePackageConfiguration: () => ApiReferencePackageConfiguration,
  ApiReferencePackageConfigurationWithOptions: () => ApiReferencePackageConfigurationWithOptions,
  ApiReferenceSectionConfiguration: () => ApiReferenceSectionConfiguration,
  AudienceId: () => AudienceId,
  BackgroundImageConfiguration: () => BackgroundImageConfiguration,
  BackgroundImageThemedConfig: () => BackgroundImageThemedConfig,
  ChangelogConfiguration: () => ChangelogConfiguration,
  ChangelogFolderRelativePath: () => ChangelogFolderRelativePath,
  ColorConfig: () => ColorConfig,
  ColorThemedConfig: () => ColorThemedConfig,
  ColorsConfiguration: () => ColorsConfiguration,
  ContentAlignment: () => ContentAlignment,
  CssConfig: () => CssConfig,
  CustomDomain: () => CustomDomain,
  DocsConfiguration: () => DocsConfiguration,
  DocsInstance: () => DocsInstance,
  DocsTypographyConfig: () => DocsTypographyConfig,
  EditThisPageConfig: () => EditThisPageConfig,
  ExperimentalConfig: () => ExperimentalConfig,
  FontConfig: () => FontConfig,
  FontConfigPath: () => FontConfigPath,
  FontConfigVariant: () => FontConfigVariant,
  FontDisplay: () => FontDisplay,
  FontStyle: () => FontStyle,
  FontWeight: () => FontWeight,
  FooterLinksConfig: () => FooterLinksConfig,
  FullStoryAnalyticsConfig: () => FullStoryAnalyticsConfig,
  GithubEditThisPageConfig: () => GithubEditThisPageConfig,
  HeaderPosition: () => HeaderPosition,
  IntegrationsConfig: () => IntegrationsConfig,
  IntercomConfig: () => IntercomConfig,
  JsConfig: () => JsConfig,
  JsConfigOptions: () => JsConfigOptions,
  JsFileConfig: () => JsFileConfig,
  JsFileConfigSettings: () => JsFileConfigSettings,
  JsRemoteConfig: () => JsRemoteConfig,
  JsScriptStrategy: () => JsScriptStrategy,
  LayoutConfig: () => LayoutConfig,
  LinkConfiguration: () => LinkConfiguration,
  LogoConfiguration: () => LogoConfiguration,
  MetadataConfig: () => MetadataConfig,
  NavbarGithubConfig: () => NavbarGithubConfig,
  NavbarLink: () => NavbarLink,
  NavbarLinkConfig: () => NavbarLinkConfig,
  NavigationConfig: () => NavigationConfig,
  NavigationItem: () => NavigationItem,
  PageConfiguration: () => PageConfiguration,
  PlaygroundButtonSettings: () => PlaygroundButtonSettings,
  PlaygroundSettings: () => PlaygroundSettings,
  PostHogConfig: () => PostHogConfig,
  ProgrammingLanguage: () => ProgrammingLanguage,
  RedirectConfig: () => RedirectConfig,
  Role: () => Role,
  RoleId: () => RoleId,
  SearchbarPlacement: () => SearchbarPlacement,
  SectionConfiguration: () => SectionConfiguration,
  SegmentConfig: () => SegmentConfig,
  SnippetLanguageConfiguration: () => SnippetLanguageConfiguration,
  SnippetsConfiguration: () => SnippetsConfiguration,
  TabConfig: () => TabConfig,
  TabId: () => TabId,
  TabbedNavigationConfig: () => TabbedNavigationConfig,
  TabbedNavigationItem: () => TabbedNavigationItem,
  TabsPlacement: () => TabsPlacement,
  TwitterCardSetting: () => TwitterCardSetting,
  UntabbedNavigationConifg: () => UntabbedNavigationConifg,
  VersionAvailability: () => VersionAvailability,
  VersionConfig: () => VersionConfig,
  VersionFileConfig: () => VersionFileConfig,
  VersionedSnippetLanguageConfiguration: () => VersionedSnippetLanguageConfiguration,
  WithPermissions: () => WithPermissions
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/index.js
var schemas_exports = {};
__export(schemas_exports, {
  JsonError: () => JsonError,
  ParseError: () => ParseError,
  any: () => any,
  boolean: () => boolean,
  booleanLiteral: () => booleanLiteral,
  date: () => date,
  discriminant: () => discriminant,
  enum_: () => enum_,
  getObjectLikeUtils: () => getObjectLikeUtils,
  getObjectUtils: () => getObjectUtils,
  getSchemaUtils: () => getSchemaUtils,
  isProperty: () => isProperty,
  lazy: () => lazy,
  lazyObject: () => lazyObject,
  list: () => list,
  number: () => number,
  object: () => object,
  objectWithoutOptionalProperties: () => objectWithoutOptionalProperties,
  optional: () => optional,
  property: () => property,
  record: () => record,
  set: () => set,
  string: () => string,
  stringLiteral: () => stringLiteral,
  transform: () => transform,
  undiscriminatedUnion: () => undiscriminatedUnion,
  union: () => union,
  unknown: () => unknown,
  withParsedProperties: () => withParsedProperties
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/Schema.js
var SchemaType = {
  DATE: "date",
  ENUM: "enum",
  LIST: "list",
  STRING_LITERAL: "stringLiteral",
  BOOLEAN_LITERAL: "booleanLiteral",
  OBJECT: "object",
  ANY: "any",
  BOOLEAN: "boolean",
  NUMBER: "number",
  STRING: "string",
  UNKNOWN: "unknown",
  RECORD: "record",
  SET: "set",
  UNION: "union",
  UNDISCRIMINATED_UNION: "undiscriminatedUnion",
  OPTIONAL: "optional"
};

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/utils/getErrorMessageForIncorrectType.js
function getErrorMessageForIncorrectType(value, expectedType) {
  return `Expected ${expectedType}. Received ${getTypeAsString(value)}.`;
}
function getTypeAsString(value) {
  if (Array.isArray(value)) {
    return "list";
  }
  if (value === null) {
    return "null";
  }
  switch (typeof value) {
    case "string":
      return `"${value}"`;
    case "number":
    case "boolean":
    case "undefined":
      return `${value}`;
  }
  return typeof value;
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/utils/maybeSkipValidation.js
function maybeSkipValidation(schema) {
  return __spreadProps(__spreadValues({}, schema), {
    json: transformAndMaybeSkipValidation(schema.json),
    parse: transformAndMaybeSkipValidation(schema.parse)
  });
}
function transformAndMaybeSkipValidation(transform2) {
  return async (value, opts) => {
    const transformed = await transform2(value, opts);
    const { skipValidation = false } = opts != null ? opts : {};
    if (!transformed.ok && skipValidation) {
      console.warn([
        "Failed to validate.",
        ...transformed.errors.map((error) => "  - " + (error.path.length > 0 ? `${error.path.join(".")}: ${error.message}` : error.message))
      ].join("\n"));
      return {
        ok: true,
        value
      };
    } else {
      return transformed;
    }
  };
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/schema-utils/stringifyValidationErrors.js
function stringifyValidationError(error) {
  if (error.path.length === 0) {
    return error.message;
  }
  return `${error.path.join(" -> ")}: ${error.message}`;
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/schema-utils/JsonError.js
var JsonError = class _JsonError extends Error {
  constructor(errors) {
    super(errors.map(stringifyValidationError).join("; "));
    __publicField(this, "errors");
    this.errors = errors;
    Object.setPrototypeOf(this, _JsonError.prototype);
  }
};

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/schema-utils/ParseError.js
var ParseError = class _ParseError extends Error {
  constructor(errors) {
    super(errors.map(stringifyValidationError).join("; "));
    __publicField(this, "errors");
    this.errors = errors;
    Object.setPrototypeOf(this, _ParseError.prototype);
  }
};

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/schema-utils/getSchemaUtils.js
function getSchemaUtils(schema) {
  return {
    optional: () => optional(schema),
    transform: (transformer) => transform(schema, transformer),
    parseOrThrow: async (raw, opts) => {
      const parsed = await schema.parse(raw, opts);
      if (parsed.ok) {
        return parsed.value;
      }
      throw new ParseError(parsed.errors);
    },
    jsonOrThrow: async (parsed, opts) => {
      const raw = await schema.json(parsed, opts);
      if (raw.ok) {
        return raw.value;
      }
      throw new JsonError(raw.errors);
    }
  };
}
function optional(schema) {
  const baseSchema = {
    parse: (raw, opts) => {
      if (raw == null) {
        return {
          ok: true,
          value: void 0
        };
      }
      return schema.parse(raw, opts);
    },
    json: (parsed, opts) => {
      if (parsed == null) {
        return {
          ok: true,
          value: null
        };
      }
      return schema.json(parsed, opts);
    },
    getType: () => SchemaType.OPTIONAL
  };
  return __spreadValues(__spreadValues({}, baseSchema), getSchemaUtils(baseSchema));
}
function transform(schema, transformer) {
  const baseSchema = {
    parse: async (raw, opts) => {
      const parsed = await schema.parse(raw, opts);
      if (!parsed.ok) {
        return parsed;
      }
      return {
        ok: true,
        value: transformer.transform(parsed.value)
      };
    },
    json: async (transformed, opts) => {
      const parsed = await transformer.untransform(transformed);
      return schema.json(parsed, opts);
    },
    getType: () => schema.getType()
  };
  return __spreadValues(__spreadValues({}, baseSchema), getSchemaUtils(baseSchema));
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/date/date.js
var ISO_8601_REGEX = /^([+-]?\d{4}(?!\d{2}\b))((-?)((0[1-9]|1[0-2])(\3([12]\d|0[1-9]|3[01]))?|W([0-4]\d|5[0-2])(-?[1-7])?|(00[1-9]|0[1-9]\d|[12]\d{2}|3([0-5]\d|6[1-6])))([T\s]((([01]\d|2[0-3])((:?)[0-5]\d)?|24:?00)([.,]\d+(?!:))?)?(\17[0-5]\d([.,]\d+)?)?([zZ]|([+-])([01]\d|2[0-3]):?([0-5]\d)?)?)?)?$/;
function date() {
  const baseSchema = {
    parse: (raw, { breadcrumbsPrefix = [] } = {}) => {
      if (typeof raw !== "string") {
        return {
          ok: false,
          errors: [
            {
              path: breadcrumbsPrefix,
              message: getErrorMessageForIncorrectType(raw, "string")
            }
          ]
        };
      }
      if (!ISO_8601_REGEX.test(raw)) {
        return {
          ok: false,
          errors: [
            {
              path: breadcrumbsPrefix,
              message: getErrorMessageForIncorrectType(raw, "ISO 8601 date string")
            }
          ]
        };
      }
      return {
        ok: true,
        value: new Date(raw)
      };
    },
    json: (date2, { breadcrumbsPrefix = [] } = {}) => {
      if (date2 instanceof Date) {
        return {
          ok: true,
          value: date2.toISOString()
        };
      } else {
        return {
          ok: false,
          errors: [
            {
              path: breadcrumbsPrefix,
              message: getErrorMessageForIncorrectType(date2, "Date object")
            }
          ]
        };
      }
    },
    getType: () => SchemaType.DATE
  };
  return __spreadValues(__spreadValues({}, maybeSkipValidation(baseSchema)), getSchemaUtils(baseSchema));
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/utils/createIdentitySchemaCreator.js
function createIdentitySchemaCreator(schemaType, validate) {
  return () => {
    const baseSchema = {
      parse: validate,
      json: validate,
      getType: () => schemaType
    };
    return __spreadValues(__spreadValues({}, maybeSkipValidation(baseSchema)), getSchemaUtils(baseSchema));
  };
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/enum/enum.js
function enum_(values) {
  const validValues = new Set(values);
  const schemaCreator = createIdentitySchemaCreator(SchemaType.ENUM, (value, { allowUnrecognizedEnumValues, breadcrumbsPrefix = [] } = {}) => {
    if (typeof value !== "string") {
      return {
        ok: false,
        errors: [
          {
            path: breadcrumbsPrefix,
            message: getErrorMessageForIncorrectType(value, "string")
          }
        ]
      };
    }
    if (!validValues.has(value) && !allowUnrecognizedEnumValues) {
      return {
        ok: false,
        errors: [
          {
            path: breadcrumbsPrefix,
            message: getErrorMessageForIncorrectType(value, "enum")
          }
        ]
      };
    }
    return {
      ok: true,
      value
    };
  });
  return schemaCreator();
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/lazy/lazy.js
function lazy(getter) {
  const baseSchema = constructLazyBaseSchema(getter);
  return __spreadValues(__spreadValues({}, baseSchema), getSchemaUtils(baseSchema));
}
function constructLazyBaseSchema(getter) {
  return {
    parse: async (raw, opts) => (await getMemoizedSchema(getter)).parse(raw, opts),
    json: async (parsed, opts) => (await getMemoizedSchema(getter)).json(parsed, opts),
    getType: async () => (await getMemoizedSchema(getter)).getType()
  };
}
async function getMemoizedSchema(getter) {
  const castedGetter = getter;
  if (castedGetter.__zurg_memoized == null) {
    castedGetter.__zurg_memoized = await getter();
  }
  return castedGetter.__zurg_memoized;
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/utils/entries.js
function entries(object2) {
  return Object.entries(object2);
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/utils/filterObject.js
function filterObject(obj, keysToInclude) {
  const keysToIncludeSet = new Set(keysToInclude);
  return Object.entries(obj).reduce((acc, [key, value]) => {
    if (keysToIncludeSet.has(key)) {
      acc[key] = value;
    }
    return acc;
  }, {});
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/utils/isPlainObject.js
function isPlainObject(value) {
  if (typeof value !== "object" || value === null) {
    return false;
  }
  if (Object.getPrototypeOf(value) === null) {
    return true;
  }
  let proto = value;
  while (Object.getPrototypeOf(proto) !== null) {
    proto = Object.getPrototypeOf(proto);
  }
  return Object.getPrototypeOf(value) === proto;
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/utils/keys.js
function keys(object2) {
  return Object.keys(object2);
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/utils/partition.js
function partition(items, predicate) {
  const trueItems = [], falseItems = [];
  for (const item of items) {
    if (predicate(item)) {
      trueItems.push(item);
    } else {
      falseItems.push(item);
    }
  }
  return [trueItems, falseItems];
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/object-like/getObjectLikeUtils.js
function getObjectLikeUtils(schema) {
  return {
    withParsedProperties: (properties) => withParsedProperties(schema, properties)
  };
}
function withParsedProperties(objectLike, properties) {
  const objectSchema = {
    parse: async (raw, opts) => {
      const parsedObject = await objectLike.parse(raw, opts);
      if (!parsedObject.ok) {
        return parsedObject;
      }
      const additionalProperties = Object.entries(properties).reduce((processed, [key, value]) => {
        return __spreadProps(__spreadValues({}, processed), {
          [key]: typeof value === "function" ? value(parsedObject.value) : value
        });
      }, {});
      return {
        ok: true,
        value: __spreadValues(__spreadValues({}, parsedObject.value), additionalProperties)
      };
    },
    json: (parsed, opts) => {
      var _a;
      if (!isPlainObject(parsed)) {
        return {
          ok: false,
          errors: [
            {
              path: (_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [],
              message: getErrorMessageForIncorrectType(parsed, "object")
            }
          ]
        };
      }
      const addedPropertyKeys = new Set(Object.keys(properties));
      const parsedWithoutAddedProperties = filterObject(parsed, Object.keys(parsed).filter((key) => !addedPropertyKeys.has(key)));
      return objectLike.json(parsedWithoutAddedProperties, opts);
    },
    getType: () => objectLike.getType()
  };
  return __spreadValues(__spreadValues(__spreadValues({}, objectSchema), getSchemaUtils(objectSchema)), getObjectLikeUtils(objectSchema));
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/object/property.js
function property(rawKey, valueSchema) {
  return {
    rawKey,
    valueSchema,
    isProperty: true
  };
}
function isProperty(maybeProperty) {
  return maybeProperty.isProperty;
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/object/object.js
function object(schemas) {
  const baseSchema = {
    _getRawProperties: () => Promise.resolve(Object.entries(schemas).map(([parsedKey, propertySchema]) => isProperty(propertySchema) ? propertySchema.rawKey : parsedKey)),
    _getParsedProperties: () => Promise.resolve(keys(schemas)),
    parse: async (raw, opts) => {
      const rawKeyToProperty = {};
      const requiredKeys = [];
      for (const [parsedKey, schemaOrObjectProperty] of entries(schemas)) {
        const rawKey = isProperty(schemaOrObjectProperty) ? schemaOrObjectProperty.rawKey : parsedKey;
        const valueSchema = isProperty(schemaOrObjectProperty) ? schemaOrObjectProperty.valueSchema : schemaOrObjectProperty;
        const property2 = {
          rawKey,
          parsedKey,
          valueSchema
        };
        rawKeyToProperty[rawKey] = property2;
        if (await isSchemaRequired(valueSchema)) {
          requiredKeys.push(rawKey);
        }
      }
      return validateAndTransformObject({
        value: raw,
        requiredKeys,
        getProperty: (rawKey) => {
          const property2 = rawKeyToProperty[rawKey];
          if (property2 == null) {
            return void 0;
          }
          return {
            transformedKey: property2.parsedKey,
            transform: (propertyValue) => {
              var _a;
              return property2.valueSchema.parse(propertyValue, __spreadProps(__spreadValues({}, opts), {
                breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], rawKey]
              }));
            }
          };
        },
        unrecognizedObjectKeys: opts == null ? void 0 : opts.unrecognizedObjectKeys,
        skipValidation: opts == null ? void 0 : opts.skipValidation,
        breadcrumbsPrefix: opts == null ? void 0 : opts.breadcrumbsPrefix
      });
    },
    json: async (parsed, opts) => {
      const requiredKeys = [];
      for (const [parsedKey, schemaOrObjectProperty] of entries(schemas)) {
        const valueSchema = isProperty(schemaOrObjectProperty) ? schemaOrObjectProperty.valueSchema : schemaOrObjectProperty;
        if (await isSchemaRequired(valueSchema)) {
          requiredKeys.push(parsedKey);
        }
      }
      return validateAndTransformObject({
        value: parsed,
        requiredKeys,
        getProperty: (parsedKey) => {
          const property2 = schemas[parsedKey];
          if (property2 == null) {
            return void 0;
          }
          if (isProperty(property2)) {
            return {
              transformedKey: property2.rawKey,
              transform: (propertyValue) => {
                var _a;
                return property2.valueSchema.json(propertyValue, __spreadProps(__spreadValues({}, opts), {
                  breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], parsedKey]
                }));
              }
            };
          } else {
            return {
              transformedKey: parsedKey,
              transform: (propertyValue) => {
                var _a;
                return property2.json(propertyValue, __spreadProps(__spreadValues({}, opts), {
                  breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], parsedKey]
                }));
              }
            };
          }
        },
        unrecognizedObjectKeys: opts == null ? void 0 : opts.unrecognizedObjectKeys,
        skipValidation: opts == null ? void 0 : opts.skipValidation,
        breadcrumbsPrefix: opts == null ? void 0 : opts.breadcrumbsPrefix
      });
    },
    getType: () => SchemaType.OBJECT
  };
  return __spreadValues(__spreadValues(__spreadValues(__spreadValues({}, maybeSkipValidation(baseSchema)), getSchemaUtils(baseSchema)), getObjectLikeUtils(baseSchema)), getObjectUtils(baseSchema));
}
async function validateAndTransformObject({ value, requiredKeys, getProperty, unrecognizedObjectKeys = "fail", skipValidation = false, breadcrumbsPrefix = [] }) {
  if (!isPlainObject(value)) {
    return {
      ok: false,
      errors: [
        {
          path: breadcrumbsPrefix,
          message: getErrorMessageForIncorrectType(value, "object")
        }
      ]
    };
  }
  const missingRequiredKeys = new Set(requiredKeys);
  const errors = [];
  const transformed = {};
  for (const [preTransformedKey, preTransformedItemValue] of Object.entries(value)) {
    const property2 = getProperty(preTransformedKey);
    if (property2 != null) {
      missingRequiredKeys.delete(preTransformedKey);
      const value2 = await property2.transform(preTransformedItemValue);
      if (value2.ok) {
        transformed[property2.transformedKey] = value2.value;
      } else {
        transformed[preTransformedKey] = preTransformedItemValue;
        errors.push(...value2.errors);
      }
    } else {
      switch (unrecognizedObjectKeys) {
        case "fail":
          errors.push({
            path: [...breadcrumbsPrefix, preTransformedKey],
            message: `Unexpected key "${preTransformedKey}"`
          });
          break;
        case "strip":
          break;
        case "passthrough":
          transformed[preTransformedKey] = preTransformedItemValue;
          break;
      }
    }
  }
  errors.push(...requiredKeys.filter((key) => missingRequiredKeys.has(key)).map((key) => ({
    path: breadcrumbsPrefix,
    message: `Missing required key "${key}"`
  })));
  if (errors.length === 0 || skipValidation) {
    return {
      ok: true,
      value: transformed
    };
  } else {
    return {
      ok: false,
      errors
    };
  }
}
function getObjectUtils(schema) {
  return {
    extend: (extension) => {
      const baseSchema = {
        _getParsedProperties: async () => [
          ...await schema._getParsedProperties(),
          ...await extension._getParsedProperties()
        ],
        _getRawProperties: async () => [
          ...await schema._getRawProperties(),
          ...await extension._getRawProperties()
        ],
        parse: async (raw, opts) => {
          return validateAndTransformExtendedObject({
            extensionKeys: await extension._getRawProperties(),
            value: raw,
            transformBase: (rawBase) => schema.parse(rawBase, opts),
            transformExtension: (rawExtension) => extension.parse(rawExtension, opts)
          });
        },
        json: async (parsed, opts) => {
          return validateAndTransformExtendedObject({
            extensionKeys: await extension._getParsedProperties(),
            value: parsed,
            transformBase: (parsedBase) => schema.json(parsedBase, opts),
            transformExtension: (parsedExtension) => extension.json(parsedExtension, opts)
          });
        },
        getType: () => SchemaType.OBJECT
      };
      return __spreadValues(__spreadValues(__spreadValues(__spreadValues({}, baseSchema), getSchemaUtils(baseSchema)), getObjectLikeUtils(baseSchema)), getObjectUtils(baseSchema));
    }
  };
}
async function validateAndTransformExtendedObject({ extensionKeys, value, transformBase, transformExtension }) {
  const extensionPropertiesSet = new Set(extensionKeys);
  const [extensionProperties, baseProperties] = partition(keys(value), (key) => extensionPropertiesSet.has(key));
  const transformedBase = await transformBase(filterObject(value, baseProperties));
  const transformedExtension = await transformExtension(filterObject(value, extensionProperties));
  if (transformedBase.ok && transformedExtension.ok) {
    return {
      ok: true,
      value: __spreadValues(__spreadValues({}, transformedBase.value), transformedExtension.value)
    };
  } else {
    return {
      ok: false,
      errors: [
        ...transformedBase.ok ? [] : transformedBase.errors,
        ...transformedExtension.ok ? [] : transformedExtension.errors
      ]
    };
  }
}
async function isSchemaRequired(schema) {
  return !await isSchemaOptional(schema);
}
async function isSchemaOptional(schema) {
  switch (await schema.getType()) {
    case SchemaType.ANY:
    case SchemaType.UNKNOWN:
    case SchemaType.OPTIONAL:
      return true;
    default:
      return false;
  }
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/object/objectWithoutOptionalProperties.js
function objectWithoutOptionalProperties(schemas) {
  return object(schemas);
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/lazy/lazyObject.js
function lazyObject(getter) {
  const baseSchema = __spreadProps(__spreadValues({}, constructLazyBaseSchema(getter)), {
    _getRawProperties: async () => (await getMemoizedSchema(getter))._getRawProperties(),
    _getParsedProperties: async () => (await getMemoizedSchema(getter))._getParsedProperties()
  });
  return __spreadValues(__spreadValues(__spreadValues(__spreadValues({}, baseSchema), getSchemaUtils(baseSchema)), getObjectLikeUtils(baseSchema)), getObjectUtils(baseSchema));
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/list/list.js
function list(schema) {
  const baseSchema = {
    parse: async (raw, opts) => validateAndTransformArray(raw, (item, index) => {
      var _a;
      return schema.parse(item, __spreadProps(__spreadValues({}, opts), {
        breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], `[${index}]`]
      }));
    }),
    json: (parsed, opts) => validateAndTransformArray(parsed, (item, index) => {
      var _a;
      return schema.json(item, __spreadProps(__spreadValues({}, opts), {
        breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], `[${index}]`]
      }));
    }),
    getType: () => SchemaType.LIST
  };
  return __spreadValues(__spreadValues({}, maybeSkipValidation(baseSchema)), getSchemaUtils(baseSchema));
}
async function validateAndTransformArray(value, transformItem) {
  if (!Array.isArray(value)) {
    return {
      ok: false,
      errors: [
        {
          message: getErrorMessageForIncorrectType(value, "list"),
          path: []
        }
      ]
    };
  }
  const maybeValidItems = await Promise.all(value.map((item, index) => transformItem(item, index)));
  return maybeValidItems.reduce((acc, item) => {
    if (acc.ok && item.ok) {
      return {
        ok: true,
        value: [...acc.value, item.value]
      };
    }
    const errors = [];
    if (!acc.ok) {
      errors.push(...acc.errors);
    }
    if (!item.ok) {
      errors.push(...item.errors);
    }
    return {
      ok: false,
      errors
    };
  }, { ok: true, value: [] });
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/literals/stringLiteral.js
function stringLiteral(literal) {
  const schemaCreator = createIdentitySchemaCreator(SchemaType.STRING_LITERAL, (value, { breadcrumbsPrefix = [] } = {}) => {
    if (value === literal) {
      return {
        ok: true,
        value: literal
      };
    } else {
      return {
        ok: false,
        errors: [
          {
            path: breadcrumbsPrefix,
            message: getErrorMessageForIncorrectType(value, `"${literal}"`)
          }
        ]
      };
    }
  });
  return schemaCreator();
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/literals/booleanLiteral.js
function booleanLiteral(literal) {
  const schemaCreator = createIdentitySchemaCreator(SchemaType.BOOLEAN_LITERAL, (value, { breadcrumbsPrefix = [] } = {}) => {
    if (value === literal) {
      return {
        ok: true,
        value: literal
      };
    } else {
      return {
        ok: false,
        errors: [
          {
            path: breadcrumbsPrefix,
            message: getErrorMessageForIncorrectType(value, `${literal.toString()}`)
          }
        ]
      };
    }
  });
  return schemaCreator();
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/primitives/any.js
var any = createIdentitySchemaCreator(SchemaType.ANY, (value) => ({ ok: true, value }));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/primitives/boolean.js
var boolean = createIdentitySchemaCreator(SchemaType.BOOLEAN, (value, { breadcrumbsPrefix = [] } = {}) => {
  if (typeof value === "boolean") {
    return {
      ok: true,
      value
    };
  } else {
    return {
      ok: false,
      errors: [
        {
          path: breadcrumbsPrefix,
          message: getErrorMessageForIncorrectType(value, "boolean")
        }
      ]
    };
  }
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/primitives/number.js
var number = createIdentitySchemaCreator(SchemaType.NUMBER, (value, { breadcrumbsPrefix = [] } = {}) => {
  if (typeof value === "number") {
    return {
      ok: true,
      value
    };
  } else {
    return {
      ok: false,
      errors: [
        {
          path: breadcrumbsPrefix,
          message: getErrorMessageForIncorrectType(value, "number")
        }
      ]
    };
  }
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/primitives/string.js
var string = createIdentitySchemaCreator(SchemaType.STRING, (value, { breadcrumbsPrefix = [] } = {}) => {
  if (typeof value === "string") {
    return {
      ok: true,
      value
    };
  } else {
    return {
      ok: false,
      errors: [
        {
          path: breadcrumbsPrefix,
          message: getErrorMessageForIncorrectType(value, "string")
        }
      ]
    };
  }
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/primitives/unknown.js
var unknown = createIdentitySchemaCreator(SchemaType.UNKNOWN, (value) => ({ ok: true, value }));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/record/record.js
function record(keySchema, valueSchema) {
  const baseSchema = {
    parse: async (raw, opts) => {
      return validateAndTransformRecord({
        value: raw,
        isKeyNumeric: await keySchema.getType() === SchemaType.NUMBER,
        transformKey: (key) => {
          var _a;
          return keySchema.parse(key, __spreadProps(__spreadValues({}, opts), {
            breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], `${key} (key)`]
          }));
        },
        transformValue: (value, key) => {
          var _a;
          return valueSchema.parse(value, __spreadProps(__spreadValues({}, opts), {
            breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], `${key}`]
          }));
        },
        breadcrumbsPrefix: opts == null ? void 0 : opts.breadcrumbsPrefix
      });
    },
    json: async (parsed, opts) => {
      return validateAndTransformRecord({
        value: parsed,
        isKeyNumeric: await keySchema.getType() === SchemaType.NUMBER,
        transformKey: (key) => {
          var _a;
          return keySchema.json(key, __spreadProps(__spreadValues({}, opts), {
            breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], `${key} (key)`]
          }));
        },
        transformValue: (value, key) => {
          var _a;
          return valueSchema.json(value, __spreadProps(__spreadValues({}, opts), {
            breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], `${key}`]
          }));
        },
        breadcrumbsPrefix: opts == null ? void 0 : opts.breadcrumbsPrefix
      });
    },
    getType: () => SchemaType.RECORD
  };
  return __spreadValues(__spreadValues({}, maybeSkipValidation(baseSchema)), getSchemaUtils(baseSchema));
}
async function validateAndTransformRecord({ value, isKeyNumeric, transformKey, transformValue, breadcrumbsPrefix = [] }) {
  if (!isPlainObject(value)) {
    return {
      ok: false,
      errors: [
        {
          path: breadcrumbsPrefix,
          message: getErrorMessageForIncorrectType(value, "object")
        }
      ]
    };
  }
  return entries(value).reduce(async (accPromise, [stringKey, value2]) => {
    if (value2 == null) {
      return accPromise;
    }
    const acc = await accPromise;
    let key = stringKey;
    if (isKeyNumeric) {
      const numberKey = stringKey.length > 0 ? Number(stringKey) : NaN;
      if (!isNaN(numberKey)) {
        key = numberKey;
      }
    }
    const transformedKey = await transformKey(key);
    const transformedValue = await transformValue(value2, key);
    if (acc.ok && transformedKey.ok && transformedValue.ok) {
      return {
        ok: true,
        value: __spreadProps(__spreadValues({}, acc.value), {
          [transformedKey.value]: transformedValue.value
        })
      };
    }
    const errors = [];
    if (!acc.ok) {
      errors.push(...acc.errors);
    }
    if (!transformedKey.ok) {
      errors.push(...transformedKey.errors);
    }
    if (!transformedValue.ok) {
      errors.push(...transformedValue.errors);
    }
    return {
      ok: false,
      errors
    };
  }, Promise.resolve({ ok: true, value: {} }));
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/set/set.js
function set(schema) {
  const listSchema = list(schema);
  const baseSchema = {
    parse: async (raw, opts) => {
      const parsedList = await listSchema.parse(raw, opts);
      if (parsedList.ok) {
        return {
          ok: true,
          value: new Set(parsedList.value)
        };
      } else {
        return parsedList;
      }
    },
    json: async (parsed, opts) => {
      var _a;
      if (!(parsed instanceof Set)) {
        return {
          ok: false,
          errors: [
            {
              path: (_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [],
              message: getErrorMessageForIncorrectType(parsed, "Set")
            }
          ]
        };
      }
      const jsonList = await listSchema.json([...parsed], opts);
      return jsonList;
    },
    getType: () => SchemaType.SET
  };
  return __spreadValues(__spreadValues({}, maybeSkipValidation(baseSchema)), getSchemaUtils(baseSchema));
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/undiscriminated-union/undiscriminatedUnion.js
function undiscriminatedUnion(schemas) {
  const baseSchema = {
    parse: async (raw, opts) => {
      return validateAndTransformUndiscriminatedUnion((schema, opts2) => schema.parse(raw, opts2), schemas, opts);
    },
    json: async (parsed, opts) => {
      return validateAndTransformUndiscriminatedUnion((schema, opts2) => schema.json(parsed, opts2), schemas, opts);
    },
    getType: () => SchemaType.UNDISCRIMINATED_UNION
  };
  return __spreadValues(__spreadValues({}, maybeSkipValidation(baseSchema)), getSchemaUtils(baseSchema));
}
async function validateAndTransformUndiscriminatedUnion(transform2, schemas, opts) {
  const errors = [];
  for (const [index, schema] of schemas.entries()) {
    const transformed = await transform2(schema, __spreadProps(__spreadValues({}, opts), { skipValidation: false }));
    if (transformed.ok) {
      return transformed;
    } else {
      for (const error of transformed.errors) {
        errors.push({
          path: error.path,
          message: `[Variant ${index}] ${error.message}`
        });
      }
    }
  }
  return {
    ok: false,
    errors
  };
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/union/discriminant.js
function discriminant(parsedDiscriminant, rawDiscriminant) {
  return {
    parsedDiscriminant,
    rawDiscriminant
  };
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/core/schemas/builders/union/union.js
function union(discriminant2, union2) {
  const rawDiscriminant = typeof discriminant2 === "string" ? discriminant2 : discriminant2.rawDiscriminant;
  const parsedDiscriminant = typeof discriminant2 === "string" ? discriminant2 : discriminant2.parsedDiscriminant;
  const discriminantValueSchema = enum_(keys(union2));
  const baseSchema = {
    parse: async (raw, opts) => {
      return transformAndValidateUnion({
        value: raw,
        discriminant: rawDiscriminant,
        transformedDiscriminant: parsedDiscriminant,
        transformDiscriminantValue: (discriminantValue) => {
          var _a;
          return discriminantValueSchema.parse(discriminantValue, {
            allowUnrecognizedEnumValues: opts == null ? void 0 : opts.allowUnrecognizedUnionMembers,
            breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], rawDiscriminant]
          });
        },
        getAdditionalPropertiesSchema: (discriminantValue) => union2[discriminantValue],
        allowUnrecognizedUnionMembers: opts == null ? void 0 : opts.allowUnrecognizedUnionMembers,
        transformAdditionalProperties: (additionalProperties, additionalPropertiesSchema) => additionalPropertiesSchema.parse(additionalProperties, opts),
        breadcrumbsPrefix: opts == null ? void 0 : opts.breadcrumbsPrefix
      });
    },
    json: async (parsed, opts) => {
      return transformAndValidateUnion({
        value: parsed,
        discriminant: parsedDiscriminant,
        transformedDiscriminant: rawDiscriminant,
        transformDiscriminantValue: (discriminantValue) => {
          var _a;
          return discriminantValueSchema.json(discriminantValue, {
            allowUnrecognizedEnumValues: opts == null ? void 0 : opts.allowUnrecognizedUnionMembers,
            breadcrumbsPrefix: [...(_a = opts == null ? void 0 : opts.breadcrumbsPrefix) != null ? _a : [], parsedDiscriminant]
          });
        },
        getAdditionalPropertiesSchema: (discriminantValue) => union2[discriminantValue],
        allowUnrecognizedUnionMembers: opts == null ? void 0 : opts.allowUnrecognizedUnionMembers,
        transformAdditionalProperties: (additionalProperties, additionalPropertiesSchema) => additionalPropertiesSchema.json(additionalProperties, opts),
        breadcrumbsPrefix: opts == null ? void 0 : opts.breadcrumbsPrefix
      });
    },
    getType: () => SchemaType.UNION
  };
  return __spreadValues(__spreadValues(__spreadValues({}, maybeSkipValidation(baseSchema)), getSchemaUtils(baseSchema)), getObjectLikeUtils(baseSchema));
}
async function transformAndValidateUnion({ value, discriminant: discriminant2, transformedDiscriminant, transformDiscriminantValue, getAdditionalPropertiesSchema, allowUnrecognizedUnionMembers = false, transformAdditionalProperties, breadcrumbsPrefix = [] }) {
  if (!isPlainObject(value)) {
    return {
      ok: false,
      errors: [
        {
          path: breadcrumbsPrefix,
          message: getErrorMessageForIncorrectType(value, "object")
        }
      ]
    };
  }
  const _a = value, { [discriminant2]: discriminantValue } = _a, additionalProperties = __objRest(_a, [__restKey(discriminant2)]);
  if (discriminantValue == null) {
    return {
      ok: false,
      errors: [
        {
          path: breadcrumbsPrefix,
          message: `Missing discriminant ("${discriminant2}")`
        }
      ]
    };
  }
  const transformedDiscriminantValue = await transformDiscriminantValue(discriminantValue);
  if (!transformedDiscriminantValue.ok) {
    return {
      ok: false,
      errors: transformedDiscriminantValue.errors
    };
  }
  const additionalPropertiesSchema = getAdditionalPropertiesSchema(transformedDiscriminantValue.value);
  if (additionalPropertiesSchema == null) {
    if (allowUnrecognizedUnionMembers) {
      return {
        ok: true,
        value: __spreadValues({
          [transformedDiscriminant]: transformedDiscriminantValue.value
        }, additionalProperties)
      };
    } else {
      return {
        ok: false,
        errors: [
          {
            path: [...breadcrumbsPrefix, discriminant2],
            message: "Unexpected discriminant value"
          }
        ]
      };
    }
  }
  const transformedAdditionalProperties = await transformAdditionalProperties(additionalProperties, additionalPropertiesSchema);
  if (!transformedAdditionalProperties.ok) {
    return transformedAdditionalProperties;
  }
  return {
    ok: true,
    value: __spreadValues({
      [transformedDiscriminant]: discriminantValue
    }, transformedAdditionalProperties.value)
  };
}

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ProgrammingLanguage.js
var ProgrammingLanguage = schemas_exports.enum_([
  "typescript",
  "javascript",
  "python",
  "java",
  "go",
  "ruby",
  "csharp",
  "nodets",
  "nodejs",
  "dotnet",
  "curl",
  "jvm",
  "ts",
  "js"
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/AnalyticsConfig.js
var AnalyticsConfig = schemas_exports.object({
  segment: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).SegmentConfig).optional(),
  fullstory: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).FullStoryAnalyticsConfig).optional(),
  intercom: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).IntercomConfig).optional(),
  posthog: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).PostHogConfig).optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/SegmentConfig.js
var SegmentConfig = schemas_exports.object({
  writeKey: schemas_exports.property("write-key", schemas_exports.string())
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/FullStoryAnalyticsConfig.js
var FullStoryAnalyticsConfig = schemas_exports.object({
  orgId: schemas_exports.property("org-id", schemas_exports.string())
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/IntercomConfig.js
var IntercomConfig = schemas_exports.object({
  appId: schemas_exports.property("app-id", schemas_exports.string()),
  apiBase: schemas_exports.property("api-base", schemas_exports.string().optional())
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/PostHogConfig.js
var PostHogConfig = schemas_exports.object({
  apiKey: schemas_exports.property("api-key", schemas_exports.string()),
  endpoint: schemas_exports.string().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/DocsConfiguration.js
var DocsConfiguration = schemas_exports.object({
  instances: schemas_exports.list(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).DocsInstance)),
  title: schemas_exports.string().optional(),
  analytics: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).AnalyticsConfig).optional(),
  announcement: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).AnnouncementConfig).optional(),
  roles: schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).RoleId)).optional(),
  tabs: schemas_exports.record(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).TabId), schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).TabConfig)).optional(),
  versions: schemas_exports.list(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).VersionConfig)).optional(),
  landingPage: schemas_exports.property("landing-page", schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).PageConfiguration).optional()),
  navigation: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).NavigationConfig).optional(),
  navbarLinks: schemas_exports.property("navbar-links", schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).NavbarLink)).optional()),
  footerLinks: schemas_exports.property("footer-links", schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).FooterLinksConfig).optional()),
  experimental: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).ExperimentalConfig).optional(),
  defaultLanguage: schemas_exports.property("default-language", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ProgrammingLanguage).optional()),
  metadata: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).MetadataConfig).optional(),
  redirects: schemas_exports.list(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).RedirectConfig)).optional(),
  logo: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).LogoConfiguration).optional(),
  favicon: schemas_exports.string().optional(),
  backgroundImage: schemas_exports.property("background-image", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).BackgroundImageConfiguration).optional()),
  colors: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).ColorsConfiguration).optional(),
  typography: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).DocsTypographyConfig).optional(),
  layout: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).LayoutConfig).optional(),
  integrations: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).IntegrationsConfig).optional(),
  css: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).CssConfig).optional(),
  js: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).JsConfig).optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/TabId.js
var TabId = schemas_exports.string();

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/TabConfig.js
var TabConfig = schemas_exports.object({
  displayName: schemas_exports.property("display-name", schemas_exports.string()),
  icon: schemas_exports.string().optional(),
  slug: schemas_exports.string().optional(),
  skipSlug: schemas_exports.property("skip-slug", schemas_exports.boolean().optional()),
  hidden: schemas_exports.boolean().optional(),
  href: schemas_exports.string().optional(),
  changelog: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ChangelogFolderRelativePath).optional()
}).extend(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).WithPermissions));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ChangelogFolderRelativePath.js
var ChangelogFolderRelativePath = schemas_exports.string();

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/DocsInstance.js
var DocsInstance = schemas_exports.object({
  url: schemas_exports.string(),
  customDomain: schemas_exports.property("custom-domain", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).CustomDomain).optional()),
  private: schemas_exports.boolean().optional(),
  editThisPage: schemas_exports.property("edit-this-page", schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).EditThisPageConfig).optional())
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/CustomDomain.js
var CustomDomain = schemas_exports.undiscriminatedUnion([
  schemas_exports.string(),
  schemas_exports.list(schemas_exports.string())
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/EditThisPageConfig.js
var EditThisPageConfig = schemas_exports.object({
  github: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).GithubEditThisPageConfig).optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/GithubEditThisPageConfig.js
var GithubEditThisPageConfig = schemas_exports.object({
  host: schemas_exports.string().optional(),
  owner: schemas_exports.string(),
  repo: schemas_exports.string(),
  branch: schemas_exports.string().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/VersionConfig.js
var VersionConfig = schemas_exports.object({
  displayName: schemas_exports.property("display-name", schemas_exports.string()),
  path: schemas_exports.string(),
  slug: schemas_exports.string().optional(),
  availability: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).VersionAvailability).optional()
}).extend(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).WithPermissions));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/VersionAvailability.js
var VersionAvailability = schemas_exports.enum_(["deprecated", "ga", "stable", "beta"]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/VersionFileConfig.js
var VersionFileConfig = schemas_exports.object({
  tabs: schemas_exports.record(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).TabId), schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).TabConfig)).optional(),
  landingPage: schemas_exports.property("landing-page", schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).PageConfiguration).optional()),
  navigation: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).NavigationConfig)
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/NavigationConfig.js
var NavigationConfig = schemas_exports.undiscriminatedUnion([
  schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).UntabbedNavigationConifg),
  schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).TabbedNavigationConfig)
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/UntabbedNavigationConifg.js
var UntabbedNavigationConifg = schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).NavigationItem));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/TabbedNavigationConfig.js
var TabbedNavigationConfig = schemas_exports.list(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).TabbedNavigationItem));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/TabbedNavigationItem.js
var TabbedNavigationItem = schemas_exports.object({
  tab: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).TabId),
  layout: schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).NavigationItem)).optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/NavigationItem.js
var NavigationItem = schemas_exports.undiscriminatedUnion([
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).PageConfiguration),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).SectionConfiguration),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).ApiReferenceConfiguration),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).LinkConfiguration),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).ChangelogConfiguration)
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/LogoConfiguration.js
var LogoConfiguration = schemas_exports.object({
  dark: schemas_exports.string().optional(),
  light: schemas_exports.string().optional(),
  height: schemas_exports.number().optional(),
  href: schemas_exports.string().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/BackgroundImageConfiguration.js
var BackgroundImageConfiguration = schemas_exports.undiscriminatedUnion([
  schemas_exports.string(),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).BackgroundImageThemedConfig)
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/BackgroundImageThemedConfig.js
var BackgroundImageThemedConfig = schemas_exports.object({
  dark: schemas_exports.string().optional(),
  light: schemas_exports.string().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/DocsTypographyConfig.js
var DocsTypographyConfig = schemas_exports.object({
  headingsFont: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).FontConfig).optional(),
  bodyFont: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).FontConfig).optional(),
  codeFont: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).FontConfig).optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/LayoutConfig.js
var LayoutConfig = schemas_exports.object({
  pageWidth: schemas_exports.property("page-width", schemas_exports.string().optional()),
  contentWidth: schemas_exports.property("content-width", schemas_exports.string().optional()),
  sidebarWidth: schemas_exports.property("sidebar-width", schemas_exports.string().optional()),
  headerHeight: schemas_exports.property("header-height", schemas_exports.string().optional()),
  searchbarPlacement: schemas_exports.property("searchbar-placement", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).SearchbarPlacement).optional()),
  tabsPlacement: schemas_exports.property("tabs-placement", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).TabsPlacement).optional()),
  contentAlignment: schemas_exports.property("content-alignment", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ContentAlignment).optional()),
  headerPosition: schemas_exports.property("header-position", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).HeaderPosition).optional()),
  disableHeader: schemas_exports.property("disable-header", schemas_exports.boolean().optional())
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/SearchbarPlacement.js
var SearchbarPlacement = schemas_exports.enum_(["header", "header-tabs", "sidebar"]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/TabsPlacement.js
var TabsPlacement = schemas_exports.enum_(["header", "sidebar"]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ContentAlignment.js
var ContentAlignment = schemas_exports.enum_(["center", "left"]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/HeaderPosition.js
var HeaderPosition = schemas_exports.enum_(["fixed", "static"]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/AudienceId.js
var AudienceId = schemas_exports.string();

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/RoleId.js
var RoleId = schemas_exports.string();

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/Role.js
var Role = schemas_exports.undiscriminatedUnion([
  schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).RoleId),
  schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).RoleId))
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/WithPermissions.js
var WithPermissions = schemas_exports.object({
  viewers: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).Role).optional(),
  orphaned: schemas_exports.boolean().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/FontConfig.js
var FontConfig = schemas_exports.object({
  name: schemas_exports.string().optional(),
  path: schemas_exports.string().optional(),
  weight: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).FontWeight).optional(),
  style: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).FontStyle).optional(),
  paths: schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).FontConfigPath)).optional(),
  display: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).FontDisplay).optional(),
  fallback: schemas_exports.list(schemas_exports.string()).optional(),
  fontVariationSettings: schemas_exports.property("font-variation-settings", schemas_exports.string().optional())
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/FontWeight.js
var FontWeight = schemas_exports.undiscriminatedUnion([schemas_exports.string(), schemas_exports.number()]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/FontStyle.js
var FontStyle = schemas_exports.enum_(["normal", "italic"]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/FontDisplay.js
var FontDisplay = schemas_exports.enum_(["auto", "block", "swap", "fallback", "optional"]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/FontConfigPath.js
var FontConfigPath = schemas_exports.undiscriminatedUnion([
  schemas_exports.string(),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).FontConfigVariant)
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/FontConfigVariant.js
var FontConfigVariant = schemas_exports.object({
  path: schemas_exports.string(),
  weight: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).FontWeight).optional(),
  style: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).FontStyle).optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/PageConfiguration.js
var PageConfiguration = schemas_exports.object({
  page: schemas_exports.string(),
  path: schemas_exports.string(),
  slug: schemas_exports.string().optional(),
  icon: schemas_exports.string().optional(),
  hidden: schemas_exports.boolean().optional()
}).extend(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).WithPermissions));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ChangelogConfiguration.js
var ChangelogConfiguration = schemas_exports.object({
  changelog: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ChangelogFolderRelativePath),
  title: schemas_exports.string().optional(),
  slug: schemas_exports.string().optional(),
  icon: schemas_exports.string().optional(),
  hidden: schemas_exports.boolean().optional()
}).extend(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).WithPermissions));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/SectionConfiguration.js
var SectionConfiguration = schemas_exports.object({
  section: schemas_exports.string(),
  path: schemas_exports.string().optional(),
  contents: schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).NavigationItem)),
  collapsed: schemas_exports.boolean().optional(),
  slug: schemas_exports.string().optional(),
  icon: schemas_exports.string().optional(),
  hidden: schemas_exports.boolean().optional(),
  skipSlug: schemas_exports.property("skip-slug", schemas_exports.boolean().optional())
}).extend(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).WithPermissions));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ApiReferenceConfiguration.js
var ApiReferenceConfiguration = schemas_exports.object({
  api: schemas_exports.string(),
  apiName: schemas_exports.property("api-name", schemas_exports.string().optional()),
  audiences: schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).AudienceId)).optional(),
  displayErrors: schemas_exports.property("display-errors", schemas_exports.boolean().optional()),
  snippets: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).SnippetsConfiguration).optional(),
  summary: schemas_exports.string().optional(),
  layout: schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ApiReferenceLayoutItem)).optional(),
  icon: schemas_exports.string().optional(),
  slug: schemas_exports.string().optional(),
  hidden: schemas_exports.boolean().optional(),
  skipSlug: schemas_exports.property("skip-slug", schemas_exports.boolean().optional()),
  alphabetized: schemas_exports.boolean().optional(),
  flattened: schemas_exports.boolean().optional(),
  paginated: schemas_exports.boolean().optional(),
  playground: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).PlaygroundSettings).optional()
}).extend(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).WithPermissions));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ApiReferenceLayoutItem.js
var ApiReferenceLayoutItem = schemas_exports.undiscriminatedUnion([
  schemas_exports.string(),
  schemas_exports.record(schemas_exports.string(), schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ApiReferencePackageConfiguration)),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).ApiReferenceSectionConfiguration),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).ApiReferenceEndpointConfiguration),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).PageConfiguration),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).LinkConfiguration)
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ApiReferenceSectionConfiguration.js
var ApiReferenceSectionConfiguration = schemas_exports.object({
  section: schemas_exports.string(),
  referencedPackages: schemas_exports.property("referenced-packages", schemas_exports.list(schemas_exports.string()).optional()),
  summary: schemas_exports.string().optional(),
  contents: schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ApiReferenceLayoutItem)).optional(),
  slug: schemas_exports.string().optional(),
  icon: schemas_exports.string().optional(),
  hidden: schemas_exports.boolean().optional(),
  skipSlug: schemas_exports.property("skip-slug", schemas_exports.boolean().optional()),
  playground: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).PlaygroundSettings).optional()
}).extend(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).WithPermissions));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ApiReferencePackageConfiguration.js
var ApiReferencePackageConfiguration = schemas_exports.undiscriminatedUnion([
  schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ApiReferenceLayoutItem)),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).ApiReferencePackageConfigurationWithOptions)
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ApiReferencePackageConfigurationWithOptions.js
var ApiReferencePackageConfigurationWithOptions = schemas_exports.object({
  title: schemas_exports.string().optional(),
  summary: schemas_exports.string().optional(),
  contents: schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ApiReferenceLayoutItem)).optional(),
  slug: schemas_exports.string().optional(),
  icon: schemas_exports.string().optional(),
  hidden: schemas_exports.boolean().optional(),
  skipSlug: schemas_exports.property("skip-slug", schemas_exports.boolean().optional()),
  playground: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).PlaygroundSettings).optional()
}).extend(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).WithPermissions));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ApiReferenceEndpointConfiguration.js
var ApiReferenceEndpointConfiguration = schemas_exports.object({
  endpoint: schemas_exports.string(),
  title: schemas_exports.string().optional(),
  slug: schemas_exports.string().optional(),
  icon: schemas_exports.string().optional(),
  hidden: schemas_exports.boolean().optional(),
  playground: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).PlaygroundSettings).optional()
}).extend(schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).WithPermissions));

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/LinkConfiguration.js
var LinkConfiguration = schemas_exports.object({
  link: schemas_exports.string(),
  href: schemas_exports.string(),
  icon: schemas_exports.string().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/VersionedSnippetLanguageConfiguration.js
var VersionedSnippetLanguageConfiguration = schemas_exports.object({
  version: schemas_exports.string(),
  package: schemas_exports.string()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/SnippetLanguageConfiguration.js
var SnippetLanguageConfiguration = schemas_exports.undiscriminatedUnion([
  schemas_exports.string(),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).VersionedSnippetLanguageConfiguration)
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/SnippetsConfiguration.js
var SnippetsConfiguration = schemas_exports.object({
  python: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).SnippetLanguageConfiguration).optional(),
  typescript: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).SnippetLanguageConfiguration).optional(),
  go: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).SnippetLanguageConfiguration).optional(),
  java: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).SnippetLanguageConfiguration).optional(),
  ruby: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).SnippetLanguageConfiguration).optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ColorsConfiguration.js
var ColorsConfiguration = schemas_exports.object({
  accentPrimary: schemas_exports.property("accent-primary", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ColorConfig).optional()),
  accentPrimaryDeprecated: schemas_exports.property("accentPrimary", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ColorConfig).optional()),
  background: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ColorConfig).optional(),
  border: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ColorConfig).optional(),
  sidebarBackground: schemas_exports.property("sidebar-background", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ColorConfig).optional()),
  headerBackground: schemas_exports.property("header-background", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ColorConfig).optional()),
  cardBackground: schemas_exports.property("card-background", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).ColorConfig).optional())
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ColorConfig.js
var ColorConfig = schemas_exports.undiscriminatedUnion([
  schemas_exports.string(),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).ColorThemedConfig)
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ColorThemedConfig.js
var ColorThemedConfig = schemas_exports.object({
  dark: schemas_exports.string().optional(),
  light: schemas_exports.string().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/NavbarLink.js
var NavbarLink = schemas_exports.union("type", {
  filled: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).NavbarLinkConfig),
  outlined: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).NavbarLinkConfig),
  minimal: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).NavbarLinkConfig),
  github: schemas_exports.object({
    value: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).NavbarGithubConfig)
  }),
  primary: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).NavbarLinkConfig),
  secondary: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).NavbarLinkConfig)
}).transform({
  transform: (value) => value,
  untransform: (value) => value
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/NavbarLinkConfig.js
var NavbarLinkConfig = schemas_exports.object({
  href: schemas_exports.string().optional(),
  url: schemas_exports.string().optional(),
  text: schemas_exports.string().optional(),
  icon: schemas_exports.string().optional(),
  rightIcon: schemas_exports.string().optional(),
  rounded: schemas_exports.boolean().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/NavbarGithubConfig.js
var NavbarGithubConfig = schemas_exports.string();

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/FooterLinksConfig.js
var FooterLinksConfig = schemas_exports.object({
  github: schemas_exports.string().optional(),
  twitter: schemas_exports.string().optional(),
  x: schemas_exports.string().optional(),
  linkedin: schemas_exports.string().optional(),
  youtube: schemas_exports.string().optional(),
  instagram: schemas_exports.string().optional(),
  facebook: schemas_exports.string().optional(),
  discord: schemas_exports.string().optional(),
  slack: schemas_exports.string().optional(),
  hackernews: schemas_exports.string().optional(),
  medium: schemas_exports.string().optional(),
  website: schemas_exports.string().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/CssConfig.js
var CssConfig = schemas_exports.undiscriminatedUnion([
  schemas_exports.string(),
  schemas_exports.list(schemas_exports.string())
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/JsConfig.js
var JsConfig = schemas_exports.undiscriminatedUnion([
  schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).JsConfigOptions),
  schemas_exports.list(schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).JsConfigOptions))
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/JsConfigOptions.js
var JsConfigOptions = schemas_exports.undiscriminatedUnion([
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).JsRemoteConfig),
  schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).JsFileConfig)
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/JsRemoteConfig.js
var JsRemoteConfig = schemas_exports.object({
  url: schemas_exports.string(),
  strategy: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).JsScriptStrategy).optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/JsFileConfig.js
var JsFileConfig = schemas_exports.undiscriminatedUnion([
  schemas_exports.string(),
  schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).JsFileConfigSettings)
]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/JsFileConfigSettings.js
var JsFileConfigSettings = schemas_exports.object({
  path: schemas_exports.string(),
  strategy: schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).JsScriptStrategy).optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/JsScriptStrategy.js
var JsScriptStrategy = schemas_exports.enum_(["beforeInteractive", "afterInteractive", "lazyOnload"]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/MetadataConfig.js
var MetadataConfig = schemas_exports.object({
  ogSiteName: schemas_exports.property("og:site_name", schemas_exports.string().optional()),
  ogTitle: schemas_exports.property("og:title", schemas_exports.string().optional()),
  ogDescription: schemas_exports.property("og:description", schemas_exports.string().optional()),
  ogUrl: schemas_exports.property("og:url", schemas_exports.string().optional()),
  ogImage: schemas_exports.property("og:image", schemas_exports.string().optional()),
  ogImageWidth: schemas_exports.property("og:image:width", schemas_exports.number().optional()),
  ogImageHeight: schemas_exports.property("og:image:height", schemas_exports.number().optional()),
  ogLocale: schemas_exports.property("og:locale", schemas_exports.string().optional()),
  ogLogo: schemas_exports.property("og:logo", schemas_exports.string().optional()),
  twitterTitle: schemas_exports.property("twitter:title", schemas_exports.string().optional()),
  twitterDescription: schemas_exports.property("twitter:description", schemas_exports.string().optional()),
  twitterHandle: schemas_exports.property("twitter:handle", schemas_exports.string().optional()),
  twitterImage: schemas_exports.property("twitter:image", schemas_exports.string().optional()),
  twitterSite: schemas_exports.property("twitter:site", schemas_exports.string().optional()),
  twitterUrl: schemas_exports.property("twitter:url", schemas_exports.string().optional()),
  twitterCard: schemas_exports.property("twitter:card", schemas_exports.lazy(async () => (await import("./serialization-ZIG2RI5R.js")).TwitterCardSetting).optional())
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/TwitterCardSetting.js
var TwitterCardSetting = schemas_exports.enum_(["summary", "summary_large_image", "app", "player"]);

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/RedirectConfig.js
var RedirectConfig = schemas_exports.object({
  source: schemas_exports.string(),
  destination: schemas_exports.string(),
  permanent: schemas_exports.boolean().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/IntegrationsConfig.js
var IntegrationsConfig = schemas_exports.object({
  intercom: schemas_exports.string().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/ExperimentalConfig.js
var ExperimentalConfig = schemas_exports.object({
  mdxComponents: schemas_exports.property("mdx-components", schemas_exports.list(schemas_exports.string()).optional()),
  disableStreamToggle: schemas_exports.property("disable-stream-toggle", schemas_exports.boolean().optional())
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/PlaygroundSettings.js
var PlaygroundSettings = schemas_exports.object({
  environments: schemas_exports.list(schemas_exports.string()).optional(),
  button: schemas_exports.lazyObject(async () => (await import("./serialization-ZIG2RI5R.js")).PlaygroundButtonSettings).optional(),
  oauth: schemas_exports.boolean().optional(),
  limitWebsocketMessagesPerConnection: schemas_exports.property("limit-websocket-messages-per-connection", schemas_exports.number().optional())
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/PlaygroundButtonSettings.js
var PlaygroundButtonSettings = schemas_exports.object({
  href: schemas_exports.string().optional()
});

// ../../cli/configuration/lib/docs-yml/schemas/sdk/serialization/resources/docs/types/AnnouncementConfig.js
var AnnouncementConfig = schemas_exports.object({
  message: schemas_exports.string()
});
export {
  AnalyticsConfig,
  AnnouncementConfig,
  ApiReferenceConfiguration,
  ApiReferenceEndpointConfiguration,
  ApiReferenceLayoutItem,
  ApiReferencePackageConfiguration,
  ApiReferencePackageConfigurationWithOptions,
  ApiReferenceSectionConfiguration,
  AudienceId,
  BackgroundImageConfiguration,
  BackgroundImageThemedConfig,
  ChangelogConfiguration,
  ChangelogFolderRelativePath,
  ColorConfig,
  ColorThemedConfig,
  ColorsConfiguration,
  ContentAlignment,
  CssConfig,
  CustomDomain,
  DocsConfiguration,
  DocsInstance,
  DocsTypographyConfig,
  EditThisPageConfig,
  ExperimentalConfig,
  FontConfig,
  FontConfigPath,
  FontConfigVariant,
  FontDisplay,
  FontStyle,
  FontWeight,
  FooterLinksConfig,
  FullStoryAnalyticsConfig,
  GithubEditThisPageConfig,
  HeaderPosition,
  IntegrationsConfig,
  IntercomConfig,
  JsConfig,
  JsConfigOptions,
  JsFileConfig,
  JsFileConfigSettings,
  JsRemoteConfig,
  JsScriptStrategy,
  LayoutConfig,
  LinkConfiguration,
  LogoConfiguration,
  MetadataConfig,
  NavbarGithubConfig,
  NavbarLink,
  NavbarLinkConfig,
  NavigationConfig,
  NavigationItem,
  PageConfiguration,
  PlaygroundButtonSettings,
  PlaygroundSettings,
  PostHogConfig,
  ProgrammingLanguage,
  RedirectConfig,
  Role,
  RoleId,
  SearchbarPlacement,
  SectionConfiguration,
  SegmentConfig,
  SnippetLanguageConfiguration,
  SnippetsConfiguration,
  TabConfig,
  TabId,
  TabbedNavigationConfig,
  TabbedNavigationItem,
  TabsPlacement,
  TwitterCardSetting,
  UntabbedNavigationConifg,
  VersionAvailability,
  VersionConfig,
  VersionFileConfig,
  VersionedSnippetLanguageConfiguration,
  WithPermissions,
  docs_exports as docs
};
